<?php
class movie_info{
	var $curl = null;
	var $url = '';
	var $html = '';
	var $param = array();
	var $start_key = "";
	var $end_key = "";

	var $play_year_start = "";
	var $play_year_end = "";

	var $play_area_start = "";
	var $play_area_end = "";

	var $play_leader_start = "";
	var $play_leader_end = "";

	var $play_actor_start = "";
	var $play_actor_end = "";

	var $type_start = "";
	var $type_end = "";

	var $description_start = "";
	var $description_end = "";

	var $thumb_start = "";
	var $thumb_end = "";

	var $play_word_start = "";
	var $play_word_end = "";

	var $play_status_start = '';
	var $play_status_end = '';

	private $field = array('play_year','play_area','description','play_leader', 'play_actor', 'play_status', 'play_word', 'thumb', 'type','play_word', 'play_status');
	function movie_info(){}
	function init(){
		$this->html = qbase::load($this->url);
		$this->html = $this->curl->cut($this->charsetLocal($this->html), $this->start_key, $this->end_key);
		foreach($this->field as $val){
			$start = $val . "_start";
			$end = $val . "_end";
			if($this->$start && $this->$end){
				$this->param[$val] = trim($this->curl->cut($this->html, $this->$start, $this->$end));
			}
		}
	}

	function format_cateogry(){
		$data = array(
				
		);
	}
}
?>